Check Point Advisories

Apache Tomcat ChunkedInputFilter Denial of Service (CVE-2014-0227)

Check Point Reference: CPAI-2015-0210
Date Published: 3 Mar 2015
Severity: High
Last Updated: 5 Mar 2020
Source: Apache
Industry Reference:CVE-2014-0227
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Apache Software Foundation Tomcat prior to 6.0.43
Apache Software Foundation Tomcat prior to 7.0.55
Apache Software Foundation Tomcat prior to 8.0.8
Vulnerability Description A resource exhaustion vulnerability has been identified in Apache Tomcat as it processes Chunked-Transfer encoded requests. The flaw is caused due to an error in ChunkedInputFilter that enables an attacker to stream an unlimited amount of data to the server. A remote attacker could exploit this vulnerability by sending a large amount of data, possibly using multiple connections to the server, causing it to use up excessive resources.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.Note: This protection is supported from version R75.40VS and above and cannot be enforced by previous IPS gateway versions.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Apache Tomcat ChunkedInputFilter Denial of Service protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Apache Server Protection Violation.
Attack Information:  Apache Tomcat ChunkedInputFilter Denial of Service

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO